OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_StyleContextSelect Class Reference

`#include <StepVisual_StyleContextSelect.hxx>`

Inheritance diagram for StepVisual_StyleContextSelect:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_StyleContextSelect ()
| Returns a StyleContextSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a StyleContextSelect Kind Entity that is : 1 -> Representation 2 -> RepresentationItem 3 -> PresentationSet 0 else .
Standard_EXPORT Handle_StepRepr_Representation | Representation () const
| returns Value as a Representation (Null if another type)
Standard_EXPORT Handle_StepRepr_RepresentationItem | RepresentationItem () const
| returns Value as a RepresentationItem (Null if another type)
Standard_EXPORT Handle_StepVisual_PresentationSet | PresentationSet () const
| returns Value as a PresentationSet (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_StyleContextSelect::StepVisual_StyleContextSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepVisual_StyleContextSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepVisual_StyleContextSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_StyleContextSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_StyleContextSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepVisual_PresentationSet StepVisual_StyleContextSelect::PresentationSet | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_Representation StepVisual_StyleContextSelect::Representation | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_RepresentationItem StepVisual_StyleContextSelect::RepresentationItem | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepVisual_StyleContextSelect.hxx